[Domanda] Server con 2 versioni assieme??

  • Pagine (2):
  • 1
  • 2
  • »
Salve, apro questo topic per chiedervi come fanno alcuni server (purtroppo per ora solo Americani) che riescano ad essere accessibili con 2 versioni diverse (in questo caso 1.6.4 e 1.7.2).

Ad esempio il server MinePlex, chi non conosce questo server..  è accessibile sia con la 1.6.4 sia con la 1.7.2

Com'è possibile? Si può fare facilmente questa cosa? Riguarda la disponibilità dell'host?
[Immagine: GhostWar]
[Immagine: typing-test_20_CY.png]
magari hanno qualche stregoneria a più IP/server in uno solo :3
Il Papero Conquisterà Il Mondo --> [Immagine: HS40h4]

Canale Youtube  <--- Click!
31/12/2013, 00:07JoLong ha scritto: magari hanno qualche stregoneria a più IP/server in uno solo :3
@JoLong 
Intendi tipo l'uso di Bungecord? :S
[Immagine: GhostWar]
[Immagine: typing-test_20_CY.png]
31/12/2013, 00:13a_Skyy ha scritto:
31/12/2013, 00:07JoLong ha scritto: magari hanno qualche stregoneria a più IP/server in uno solo :3
@JoLong 
Intendi tipo l'uso di Bungecord? :S

immagino, ma per me sempre magia nera rimane xD
Il Papero Conquisterà Il Mondo --> [Immagine: HS40h4]

Canale Youtube  <--- Click!
1 utente apprezza questo post
31/12/2013, 00:15JoLong ha scritto:
31/12/2013, 00:13a_Skyy ha scritto:
31/12/2013, 00:07JoLong ha scritto: magari hanno qualche stregoneria a più IP/server in uno solo :3
@JoLong 
Intendi tipo l'uso di Bungecord? :S

immagino, ma per me sempre magia nera rimane xD

Sei serio o sarcastico? ._.
[Immagine: GhostWar]
[Immagine: typing-test_20_CY.png]
31/12/2013, 00:16a_Skyy ha scritto:
31/12/2013, 00:15JoLong ha scritto:
31/12/2013, 00:13a_Skyy ha scritto:
31/12/2013, 00:07JoLong ha scritto: magari hanno qualche stregoneria a più IP/server in uno solo :3
@JoLong 
Intendi tipo l'uso di Bungecord? :S

immagino, ma per me sempre magia nera rimane xD

Sei serio o sarcastico? ._.

Cioè immagino sia così, ma sinceramente non l'ho mai usato e non so proprio vome possa andare :3

inviato dal mio xperia s usando tapatalk
Il Papero Conquisterà Il Mondo --> [Immagine: HS40h4]

Canale Youtube  <--- Click!
1 utente apprezza questo post
Le prime versioni di spigot 1.7.2 permettevano le connessioni dei client 1.7.2 nei servers 1.6.4 evitando però l'uso dei nuovi materiali a quanto ricordi
E' possibile grazie a modifiche a spigot o utilizzando alcuni plugin basati sulla modifica dei pacchetti che permettono la modifica del protocolID del server in base a quello del client, se quello del client è compreso tra gli id compatibili il server provvederà a modificare temporaneamente il suo così da permettere l'accesso, tuttavia dal momento in cui le builds della 1.7 permettono l'utilizzo dei nuovi oggetti non è più fattibile, è però possibile farlo tra le versioni della 1.6

(come plugin che fanno questa cosa c'è solo MultiVersion non ne conosco altri e non penso si trovi su bukkit dev)
[Immagine: MdDbKyN.png]
1 utente apprezza questo post
31/12/2013, 02:01xPeppe ha scritto: E' possibile grazie a modifiche a spigot o utilizzando alcuni plugin basati sulla modifica dei pacchetti che permettono la modifica del protocolID del server in base a quello del client, se quello del client è compreso tra gli id compatibili il server provvederà a modificare temporaneamente il suo così da permettere l'accesso, tuttavia dal momento in cui le builds della 1.7 permettono l'utilizzo dei nuovi oggetti non è più fattibile, è però possibile farlo tra le versioni della 1.6

(come plugin che fanno questa cosa c'è solo MultiVersion non ne conosco altri e non penso si trovi su bukkit dev)
Grazie mille!!

REP
[Immagine: GhostWar]
[Immagine: typing-test_20_CY.png]
31/12/2013, 00:05a_Skyy ha scritto: Salve, apro questo topic per chiedervi come fanno alcuni server (purtroppo per ora solo Americani) che riescano ad essere accessibili con 2 versioni diverse (in questo caso 1.6.4 e 1.7.2).

Ad esempio il server MinePlex, chi non conosce questo server..  è accessibile sia con la 1.6.4 sia con la 1.7.2

Com'è possibile? Si può fare facilmente questa cosa? Riguarda la disponibilità dell'host?

Non sono solo americani ma ci sono anche europei (hiveMC) e comunque si sarà una modifica a spigot eliminando i nuovi materiali e permettendo l'ingresso alle persone alla 1.6 e oltre *-*.
Potrebbe essere una diavoleria di doppio ip che porta allo stesso server ma non si puo sapere *_*
In conclusione sono modifoche personali ai server e se vuoi fare allo stesso modo devi impararti java e la magia nera di Jolong
My Config:
    MotherBoard: GigaByte 990 FX A-UD3 Ultra Durable
    CPU: AMD FX-8350 (8 core, 4.00GHz)
    Dissipatore: ThermalRight Macho HR-02 Rev.a
    RAM: Corsair Vengeance 8GB 4GBx2
    GPU: nVidia GTX 780 Asus OC
    PSU: Corsair CX 750M
    Case: Cooler Master 690 III Midi
    SSD 256GB
    HHD 1TB
    Masterizzatore
  • Pagine (2):
  • 1
  • 2
  • »
Discussioni simili
 
3 66
Ultima risposta: MineFriend_Official
09/12/2017, 14:44
Ultima risposta: Maxetto
04/12/2017, 15:54
Ultima risposta: iHeroN
02/12/2017, 13:51
Ultima risposta: N3rdSix123
26/11/2017, 03:47
Ultima risposta: Magiaindaco
15/11/2017, 15:28

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)